New Page 1

Introduction

The MAXQ2000 is a low-power, high-performance 16-bit RISC microcontroller based on the MAXQ™ architecture. It includes support for integrated, in-system-programmable flash memory and a wide range of peripherals including an LCD driver supporting up to x4 multiplexed displays. The device can operate at a maximum of either 14MHz (VDD > 1.8V) or 20MHz (VDD > 2.25V). The MAXQ2000 has 32kWords of flash memory, 1kWord of RAM, three 16-bit timers, and one or two universal synchronous/asynchronous receiver/transmitters (UARTs). Flash memory aids prototyping and low-volume production. The microcontroller core is powered by a 1.8V supply, with a separate I/O supply for optimum flexibility. The MAXQ2000 is ideally suited for battery-powered, portable applications such as blood glucose monitoring, medical instrumentation, environmental data logging, and industrial control.

The MAXQ-STK2000 Development board is designed to evaluate MAXQ2000-RAX processor. It has the following features:

  • LCD Display

  • RS232 Connector which can be used for code bootloader

  • JTAG Connector for programming with MAXQ-JTAG.

  • SPI Connector - to connect with devices, which support SPI interface protocol.

  • 1-Wire Connector for communication with 1-Wire device.

  • replaceable high frequency crystal 20 MHz on socket and soldered low frequency 32768 Hz crystal

  • four buttons on ports with interrupts

  • Reset button

  • board can take power from JTAG connector if PWR_JTAG jumper is closed and JTAG can supply power (MAXQ-JTAG-USB have target power feature)

  • Two on-board power supply voltage regulators, one with adjustable +1.8-2.2-2.5V for the core and one +3.3V for the GPIOs

  • On board Li-io 3V battery holder for power supply backup

  • board dimension 76x64 mm (3.0x2.5")

The purpose of this guide is to describe MAXQ-STK2000 Development board.

Board | MAXQ-STK2000
Hardware details | Describes the hardware peripherals in detail
Revision | 2.0 / 01.11.2005

Copyright (c) OLIMEX Ltd. All rights reserved


Picture

This is picture of MAXQ-STK2000 Development board.

Board MAQX STK2000

Copyright (c) OLIMEX Ltd. All rights reserved


STK2000


STK2000 Board


MAXQ STK2000 Hardware description

Peripherials

Unit | Description
LCD Display | LCD Display. More for this display you can find here.
RS232 Connector | RS232 DB9 Female connector for MAXQ2000 UART0.
JTAG Connector | 2x5 0,1" step connector for programming with MAXQ-JTAG.
1-Wire Connector | Interface to 1-Wire device connected to OW_IN (pin 46) and OW_OUT (pin 45)
SPI Connector | 6 pins connector for devices which use SPI protocol.
Buzzer | Buzzer audio output connected to P6.4 (pin 47) and P6.5 (pin 48), which are outputs for Timer 0
Buttons | Button BUT1 connected to interrupt ports - P5.2 (pin 36), Button BUT2 connected to interrupt ports - P5.3 (pin 37), Button BUT3 connected to interrupt ports - P6.0 (pin 43) and Button BUT4 connected to interrupt ports - P6.1 (pin 44)

Technical characteristics

Parameter | Description
Voltage Supply | 3.0V DC
Supply current | Active Current Mode ~ 16mA Power Management Mode ~ 1,4mA Stop Mode ~ 0,04mA (40uA)
CPU | MAXQ2000-RAX
Oscillators | Q1 - 20MHz external oscillator Q2 - 32,768 KHz clock oscillator
Board dimensions | 76x64 mm (3.0x2.5")
PCB | PCB: FR-4, 1.5 mm (0,062"), green soldermask, white silkscreen component print
Operating Temperature | form 0ºC to 70ºC

JTAG Connector

Pin / Name | Connected to: | Functionality
1 - TCK | PIN 29 | P4.0 / TCK / INT8
2 - GND | GROUND | -
3 - TDO | PIN 32 | P4.3 / TDO
4 - VREF | VCC | -
5 - TMS | PIN 31 | P4.2 / TMS
6 - RST | PIN 33 | RESET
7 - - | not connected | -
8 - VCC_IN | + 5V IN | -
9 - TDI | PIN 30 | P4.1 / TDI / INT9
10- GND | GROUND | -

VCC-IN can be used to supply power to MAXQ-STK2000 board from MAXQ-JTAG-USB or compatible. The Voltage supplied by MAXQ-JTAG-USB is 5V up to 100 mA taken from the USB port.

RS232 Connector

Pin / Name | Connected to: | Functionality
1 - CD | not connected | -
2 - RXD | PIN 52 | P7.0 / TXD0 / INT14
3 - TXD | PIN 53 | P7.1 / RXD0 / INT15
4 - RTS | not connected | -
5 - GND | GROUND | -
6 - DSR | not connected | -
7 - RTS | not connected | -
8 - CTS | not connected | -
9 - RI | not connected | -

Max communication baud rate supported by MAXQ2000-RAX is 500 kbps, maximum baud rate with MAX3232 driver on board is 9.6 kbps.

SPI Connector

Pin / Name | Connected to: | Functionality
1 - GND | GROUND | -
2 - SSEL | PIN 38 | P5.4 / _SS
3 - MOSI | PIN 39 | P5.5 / MOSI
4 - MISO | PIN 41 | P5.7 / MISO
5 - SCLK | PIN 40 | P5.6 / SCLK
6 - VCC | VCC | -

Max communication speed supported by MAXQ2000-RAX is 1/2 the system clock for master mode operation and 1/8 the system clock for slave mode operation.

1-Wire Connector

Pin / Name | Connected to: | Functionality
1 - 1W | PIN 45 and PIN 45 | P6.2 / T2B/ OW_OUT and P6.3 / T2 / OW_IN via jumper J_1W
2 - GND | GROUND | -

1W have on board pullup to 3.3V.

Jumpers

Jumpers | Position | Description
Jumper J_1W |  | OW_OUT is connected to 1W connector and can be used as general purpose GPIO
 |  | OW_IN connected to OW_OUT and MAXQ 1W interface controller can be used.
Jumper 1.8V/2.2V |  | Core Supply Voltage is 1.8V
 |  | Core Supply Voltage is 2.5V
 |  | Core Supply Voltage is 2.2 V
Jumper BAT/EXT |  | External power supply - from JTAG
 |  | External power supply - from AA Battery holder (2x1,5V)
 |  | Battery power supply - from Li battery holder (3V)


LCD Display

LCD Display

Display Overview

Display Type: TN
Polarizer Mode: Transflective\Positive
Viewing Direction: 6.00
Drive Method: 1/4Duty, 1/3Duty
Operating Voltage: 2.7V to 3.6V
Operating Temp: -20°C to 50ºC
Storage Temp: -20°C to 60ºC

Pin description

Pin / Name | Connected to: | Functionality
1 | no connected | -
2 | no connected | -
3 | no connected | -
4 | no connected | -
5 | no connected | -
6 | no connected | -
7 - SEG0 | PIN 58 | P0.0 / SEG0
8 - SEG1 | PIN 59 | P0.1 / SEG1
9 - SEG2 | PIN 60 | P0.2 / SEG2
10 - SEG3 | PIN 61 | P0.3 / SEG3
11 - SEG4 | PIN 62 | P0.4 / SEG4 / INT0
12 - SEG5 | PIN 63 | P0.5 / SEG5 / INT1
13 - SEG6 | PIN 64 | P0.6 / SEG6 / INT2
14 - SEG7 | PIN 65 | P0.7 / SEG7 / INT3
15 - SEG8 | PIN 66 | P1.0 / SEG8
16 - SEG9 | PIN 67 | P1.1 / SEG9
17 - SEG10 | PIN 68 | P1.2 / SEG10
18 - SEG11 | PIN 1 | P1.3 / SEG11
19 - SEG12 | PIN 2 | P1.4 / SEG12
20 - SEG13 | PIN 3 | P1.5 / SEG13
21 - SEG14 | PIN 4 | P1.6 / SEG14
22 - SEG15 | PIN 5 | P1.7 / SEG15
23 - SEG16 | PIN 6 | P2.0 / SEG16
24 - SEG17 | PIN 7 | P2.1 / SEG17
25 - SEG18 | PIN 8 | P2.2 / SEG18
26 - SEG19 | PIN 9 | P2.3 / SEG19
27 - SEG20 | PIN 10 | P2.4 / SEG20
28 - SEG 21 | PIN 11 | P2.5 / SEG21
29 - SEG22 | PIN 12 | P2.6 / SEG22
30 - SEG23 | PIN 13 | P2.7 / SEG23
31 - SEG24 | PIN 14 | P3.0 / SEG24
32 - SEG25 | PIN 15 | P3.1 / SEG25
33 - SEG26 | PIN 16 | P3.2 / SEG26
34 - SEG27 | PIN 17 | P3.3 / SEG27
35 - SEG28 | PIN 18 | P3.4 / SEG28 / INT4
36 - SEG29 | PIN 19 | P3.5 / SEG29 / INT5
37 - SEG30 | PIN 20 | P3.6 / SEG30 / INT6
38 | no connected | -
39 | no connected | -
40 - SEG31 | PIN 21 | P3.7 / SEG31 / INT7
41 - SEG32 | PIN 22 | SEG32
42 | no connected | -
43 | no connected | -
44 | no connected | -
45 - COM0 | PIN 26 | SEG33 / COM3
46 - COM1 | PIN 25 | SEG34 / COM2
47 - COM2 | PIN 24 | SEG35 / COM1
48 - COM3 | PIN 23 | COM0


Links

1. Maxim-Dallas web site

MAXQ2000 tools & training | http://www.maxim-ic.com/MAXQ
MAXQ2000 datasheets | http://pdfserv.maxim-ic.com/en/ds/MAXQ2000.pdf
MAXQ2000 user guide | http://www.maxim-ic.com/products/microcontrollers/pdfs/MAXQUG.pdf http://www.maxim-ic.com/products/microcontrollers/pdfs/MAXQ2000_UG.pdf
MAXQ2000 forum | http://discuss.dalsemi.com/

2. Olimex-MaxQ boards discussion forum

http://groups.yahoo.com/group/maxq-olimex/
http://www.olimex.com/dev

3. IAR Systems EW-MAXQ C compiler and debugger

http://www.iar.com/Products/?name=EWMAXQ

4. Rowley associates CrossWorks for MAXQ C compiler and debugger

http://www.rowley.co.uk